# $Revision: 1.14 $, $Date: 2010/11/13 00:21:03 $
%define		module	pyxdg
Summary:	Python implementations of freedesktop.org standards
Summary(pl.UTF-8):	Implementacje standardów freedesktop.org w języku Python
Name:		python-%{module}
Version:	0.19
Release:	2
License:	LGPL
Group:		Libraries/Python
Source0:	http://www.freedesktop.org/~lanius/%{module}-%{version}.tar.gz
# Source0-md5:	9f33542e846d0fc1e0bfa992a8555b0a
URL:		http://freedesktop.org/Software/pyxdg
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyXDG is a python module to access freedesktop.org standards. The
package contains:

  - Implementation of the XDG-Base-Directory Standard
  - Implementation of the XDG-Desktop Standard
  - Implementation of the XDG-Menu Standard
  - Implementation of the XDG-Icon-Theme Standard
  - Implementation of the XDG-Shared MIME-info Database
  - Implementation of the XDG-Recent File Storage Specification

%description -l pl.UTF-8
PyXDG jest modułem języka Python, pozwalającym na wykorzystywanie
standardów freedesktop.org. Pakiet zawiera:

  - Implementację standardu XDG-Base-Directory
  - Implementację standardu XDG-Desktop
  - Implementację standardu XDG-Menu
  - Implementację standardu XDG-Icon-Theme
  - Implementację bazy XDG-Shared MIME-info
  - Implementację specyfikacji XDG-Recent File Storage

%prep
%setup -q -n %{module}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --optimize=2 --root=$RPM_BUILD_ROOT
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%dir %{py_sitescriptdir}/xdg
%{py_sitescriptdir}/xdg/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/pyxdg-%{version}-py*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyxdg.spec,v $
Revision 1.14  2010/11/13 00:21:03  pawelz
- release 2

Revision 1.13  2010/11/05 11:42:29  caleb
- Up to 0.19

Revision 1.12  2010/07/08 08:36:41  arekm
- release 3

Revision 1.11  2009/03/13 21:41:41  hawk
- release 2

Revision 1.10  2009/01/29 23:38:10  glen
- no egg in py2.4

Revision 1.9  2008/11/01 14:50:32  wrobell
- ver. 0.17

Revision 1.8  2008/10/03 18:00:02  arekm
- release 2

Revision 1.7  2007-09-29 14:37:41  megabajt
- release 1

Revision 1.6  2007/03/31 17:47:42  qboosh
- python >= 2.5 for egg-info
- Group fixed

Revision 1.5  2007/03/20 12:22:36  ankry
- tabs

Revision 1.4  2007/03/19 09:01:43  beorn
- Added missing BRs

Revision 1.3  2007/03/19 08:37:55  beorn
- Added py_postclean macro
- Byte compiling with optimize=2

Revision 1.2  2007/03/19 08:29:18  beorn
- Fixed UTF
- Summary and description extended

Revision 1.1  2007/03/18 19:13:45  czarny
- new
- seems to work
- the strange thing is, that it keeps it's file in /usr/share instead of /usr/lib
